Next Commerce
Storefront

Themes Create

Create a new theme.

POST
/themes/

Authorization

oauth2 themes:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: themes:write

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Request Body

active?boolean
name*string
Lengthlength <= 255

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/themes/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string"
  }'
{
  "active": true,
  "id": 0,
  "name": "string"
}